---
title: Request.context
slug: Web/API/Request/context
tags:
  - API
  - Context
  - Experimental
  - Fetch
  - Property
  - Reference
  - request
---
<div>{{APIRef("Fetch")}}{{deprecated_header()}}</div>

<p><span class="seoSummary">The deprecated <strong><code>context</code></strong> read-only property of the {{domxref("Request")}} interface contains the context of the Request (e.g., <code>audio</code>, <code>image</code>, <code>iframe</code>).</span> This defines what sort of resource is being fetched. This has been replaced by the {{domxref("Request.destination", "destination")}} property.</p>

<p>The context of a request is only relevant in the <a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a>; a service worker can make decisions based on whether the URL is for an image, or an embeddable object such as a {{htmlelement("video")}}, {{domxref("iframe")}}, etc.</p>

<div class="note">
<p><strong>Note</strong>: You can find a full list of the different available contexts including associated context frame types, CSP directives, and platform feature examples in the <a href="https://fetch.spec.whatwg.org/#concept-request-context">Fetch spec request context</a> section.</p>
</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <var>myContext</var> = <var>request</var>.context;</pre>

<h3 id="Value">Value</h3>

<p>A {{domxref("RequestContext")}} value.</p>

<h2 id="Example">Example</h2>

<p>In the following snippet, we create a new request using the {{domxref("Request.Request()")}} constructor (for an image file in the same directory as the script), then save the request context in a variable:</p>

<pre class="brush: js">var myRequest = new Request('flowers.jpg');
var myContext = myRequest.context; // returns the empty string by default</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Request.context")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/ServiceWorker_API">ServiceWorker API</a></li>
 <li><a href="/en-US/docs/Web/HTTP/Access_control_CORS">HTTP access control (CORS)</a></li>
 <li><a href="/en-US/docs/Web/HTTP">HTTP</a></li>
</ul>
